import { OrchestratorEvent } from "./orchestrator.types";
import { IWidgetOrchestrator } from "./IWidgetOrchestrator";
import { IWidgetRegistration } from "./IWidgetRegistration";
import { IWidgetInstanceInternal } from "./IWidgetInstanceInternal";
import { WidgetInstanceElement } from "../widgetInstanceElement/widget-instance";
export declare class WidgetOrchestratorTestImpl implements IWidgetOrchestrator {
    _widgetRegistrations: Array<IWidgetRegistration>;
    private _eventListeners;
    constructor();
    getRiverInstances(): Promise<Array<IWidgetInstanceInternal>>;
    getWidgetInstances(): Promise<Array<IWidgetInstanceInternal>>;
    getFeedInstance(): Promise<IWidgetInstanceInternal>;
    getWidget(widgetInstance: IWidgetInstanceInternal): Promise<WidgetInstanceElement>;
    reloadFailedWidgets(): Promise<void>;
    reloadFailedWidgetsInDynamicFeed(widgetInstance: IWidgetInstanceInternal): Promise<void>;
    refreshWidgets(): Promise<boolean>;
    suspendWidgets(): Promise<void>;
    resumeWidgets(): Promise<void>;
    listenForPeregrineStatus(): void;
    isUserRegionChina(): boolean;
    isUserRegionUnitedStates(): boolean;
    loadPeregrineWidget(widgetInstance: IWidgetInstanceInternal): void;
    loadSpecificPeregrineWidgets(widgetInstances: Array<IWidgetInstanceInternal>): void;
    loadPeregrineWidgets(): Promise<void>;
    getWidgetRegistrations(): Promise<Array<IWidgetRegistration>>;
    getWidgetInitializerUrl(): string;
    addWidgetInstance(widgetRegistration: IWidgetRegistration, widgetId?: string): Promise<IWidgetInstanceInternal>;
    addWidgetInstanceForRiver(widgetRegistration: IWidgetRegistration): Promise<IWidgetInstanceInternal>;
    initializeOutlookWidgetAsync(widgetInstance: IWidgetInstanceInternal, widgetInstanceElement: WidgetInstanceElement, entryPointHost: string): Promise<void>;
    removeWidgetInstance(widgetInstance: IWidgetInstanceInternal): void;
    isRiverInstance(widgetInstance: IWidgetInstanceInternal): boolean;
    removeWidgetInstanceFromRiver(widgetInstance: IWidgetInstanceInternal, isHide: boolean): void;
    addWidgetInstanceForPin(widgetRegistration: IWidgetRegistration, widgetId: string): void;
    addEventListener(listener: (eventName: OrchestratorEvent, widgetInstance: IWidgetInstanceInternal | null) => void): void;
    removeEventListener(listener: (eventName: OrchestratorEvent, widgetInstance: IWidgetInstanceInternal | null) => void): void;
    updateWidgetInstance(widget: IWidgetInstanceInternal): Promise<IWidgetInstanceInternal>;
    fireEvent(name: OrchestratorEvent, widgetInstance: IWidgetInstanceInternal | null): void;
    widgetInnerFocus(widgetInstance: IWidgetInstanceInternal): void;
    private initializeWidget;
}
export declare function getWidgetOrchestratorAsync(): Promise<IWidgetOrchestrator>;
